Forum

Probleme with 05/16 SDK [ SOLVED ]

01 June 2016 12:27 #9825
I get this error when in try to check if the project i just created works.
Couldn't find NVIDIA Texture Tools
Processing directory: apps_dev/lukeVideoLowPoly
Resizing textures
Compressing textures
Traceback (most recent call last):
File "/home/lukevideo/Blender/sdkMay/blend4web_sdk_free/apps_dev/project.py", line 44, in
project_cli.run(sys.argv, base_dir)
File "/home/lukevideo/Blender/sdkMay/blend4web_sdk_free/scripts/lib/project_cli.py", line 197, in run
run_convert_resources(args[1:], proj_path)
File "/home/lukevideo/Blender/sdkMay/blend4web_sdk_free/scripts/lib/project_cli.py", line 1655, in run_convert_resources
subprocess.check_call([python_path, conv_path, "-d", assets_dir, "convert_dds"])
File "/home/lukevideo/Blender/blender-2.77a-linux-glibc211-x86_64/2.77/python/lib/python3.5/subprocess.py", line 584, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/home/lukevideo/Blender/blender-2.77a-linux-glibc211-x86_64/2.77/python/bin/python3.5m', '/home/lukevideo/Blender/sdkMay/blend4web_sdk_free/scripts/converter.py', '-d', '/home/lukevideo/Blender/sdkMay/blend4web_sdk_free/apps_dev/lukeVideoLowPoly', 'convert_dds']' returned non-zero exit status 1


I run on the onboard intel chip quite happily on my laptop.
01 June 2016 12:43 #9826
Ok did a little search for Nvidia tools Blend4web and found this on GitHub
  missing_progs = get_missing_progs(dependencies)
if "ffmpeg" in missing_progs and not "avconv" in missing_progs:
index = missing_progs.index("ffmpeg")
del missing_progs[index]
if "avconv" in missing_progs and not "ffmpeg" in missing_progs:
index = missing_progs.index("avconv")
del missing_progs[index]
needed_progs = {}
for dep in missing_progs:
if dep == "avconv" or dep == "ffmpeg":
needed_progs["Libav or FFmpeg"] = True
elif dep == "identify" or dep == "convert":
needed_progs["ImageMagick"] = True
elif dep == "nvcompress":
needed_progs["NVIDIA Texture Tools"] = True
elif dep == "qt-faststart":
needed_progs["Qt-faststart (optional)"] = True
for prog in needed_progs:
print("Couldn't find", prog)
if len(missing_progs) > 0:
return False


One will notice that other libraries are tried first for example imagemagick. So i installed it and it WORKS AGAIN !


That's another one to look for one fresh instals…

Have a great day.

Luke
03 June 2016 14:41 #9881
Hi Luke,

One will notice that other libraries are tried first for example imagemagick. So i installed it and it WORKS AGAIN !
Indeed there is the need to install some dependencies on Linux. We should make some instructions for advanced users.
Development Lead | Twitter
 
Please register or log in to leave a reply.